spandsp: t30_logging.c File Reference

spandsp 0.0.6

t30_logging.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <inttypes.h>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <time.h>`
`#include "floating_fudge.h"`
`#include <tiffio.h>`
`#include "spandsp/telephony.h"`
`#include "spandsp/logging.h"`
`#include "spandsp/bit_operations.h"`
`#include "spandsp/queue.h"`
`#include "spandsp/power_meter.h"`
`#include "spandsp/complex.h"`
`#include "spandsp/tone_generate.h"`
`#include "spandsp/async.h"`
`#include "spandsp/hdlc.h"`
`#include "spandsp/fsk.h"`
`#include "spandsp/v29rx.h"`
`#include "spandsp/v29tx.h"`
`#include "spandsp/v27ter_rx.h"`
`#include "spandsp/v27ter_tx.h"`
`#include "spandsp/timezone.h"`
`#include "spandsp/t4_rx.h"`
`#include "spandsp/t4_tx.h"`
`#include "spandsp/t4_t6_decode.h"`
`#include "spandsp/t4_t6_encode.h"`
`#include "spandsp/t30_fcf.h"`
`#include "spandsp/t35.h"`
`#include "spandsp/t30.h"`
`#include "spandsp/t30_logging.h"`
`#include "spandsp/private/logging.h"`
`#include "spandsp/private/timezone.h"`
`#include "spandsp/private/t4_t6_decode.h"`
`#include "spandsp/private/t4_t6_encode.h"`
`#include "spandsp/private/t4_rx.h"`
`#include "spandsp/private/t4_tx.h"`
`#include "spandsp/private/t30.h"`
`#include "t30_local.h"`

## Classes
struct | value_string_t

## Enumerations
enum | { DISBIT1 = 0x01 , DISBIT2 = 0x02 , DISBIT3 = 0x04 , DISBIT4 = 0x08 , DISBIT5 = 0x10 , DISBIT6 = 0x20 , DISBIT7 = 0x40 , DISBIT8 = 0x80 }

## Functions
const char * | t30_completion_code_to_str (int result)
| Convert a phase E completion code to a short text description.
const char * | t30_frametype (uint8_t x)
| Return a text name for a T.30 frame type.
void | t30_decode_dis_dtc_dcs (t30_state_t *s, const uint8_t *pkt, int len)
| Decode a DIS, DTC or DCS frame, and log the contents.

## Function Documentation

## ◆ t30_completion_code_to_str()

const char * t30_completion_code_to_str | ( | int | result | ) |

Convert a phase E completion code to a short text description.

Convert a phase E completion code to a short text description.

Parameters

  result | The result code.

Returns
  A pointer to the description.

References T30_ERR_BADPAGE, T30_ERR_BADTAG, T30_ERR_BADTIFF, T30_ERR_BADTIFFHDR, T30_ERR_CALLDROPPED, T30_ERR_CANNOT_TRAIN, T30_ERR_CEDTONE, T30_ERR_CIA_UNACCEPTABLE, T30_ERR_CSA_UNACCEPTABLE, T30_ERR_FILEERROR, T30_ERR_HDLC_CARRIER, T30_ERR_IDENT_UNACCEPTABLE, T30_ERR_INCOMPATIBLE, T30_ERR_IRA_UNACCEPTABLE, T30_ERR_ISP_UNACCEPTABLE, T30_ERR_NOMEM, T30_ERR_NOPAGE, T30_ERR_NOPOLL, T30_ERR_NORESSUPPORT, T30_ERR_NOSIZESUPPORT, T30_ERR_OPER_INT_FAIL, T30_ERR_PSA_UNACCEPTABLE, T30_ERR_PWD_UNACCEPTABLE, T30_ERR_RETRYDCN, T30_ERR_RX_DCNDATA, T30_ERR_RX_DCNFAX, T30_ERR_RX_DCNNORTN, T30_ERR_RX_DCNPHD, T30_ERR_RX_DCNRRD, T30_ERR_RX_DCNWHY, T30_ERR_RX_ECMPHD, T30_ERR_RX_GOTDCS, T30_ERR_RX_INCAPABLE, T30_ERR_RX_INVALCMD, T30_ERR_RX_NOCARRIER, T30_ERR_RX_NOEOL, T30_ERR_RX_NOFAX, T30_ERR_RX_T2EXP, T30_ERR_RX_T2EXPD, T30_ERR_RX_T2EXPDCN, T30_ERR_RX_T2EXPFAX, T30_ERR_RX_T2EXPMPS, T30_ERR_RX_T2EXPRR, T30_ERR_SEP_UNACCEPTABLE, T30_ERR_SID_UNACCEPTABLE, T30_ERR_SUB_UNACCEPTABLE, T30_ERR_T0_EXPIRED, T30_ERR_T1_EXPIRED, T30_ERR_T3_EXPIRED, T30_ERR_TSA_UNACCEPTABLE, T30_ERR_TX_BADDCS, T30_ERR_TX_BADPG, T30_ERR_TX_ECMPHD, T30_ERR_TX_GOTDCN, T30_ERR_TX_INCAPABLE, T30_ERR_TX_INVALRSP, T30_ERR_TX_NODIS, T30_ERR_TX_PHBDEAD, T30_ERR_TX_PHDDEAD, T30_ERR_TX_T5EXP, and T30_ERR_UNEXPECTED.

Referenced by t30_set_status().

## ◆ t30_decode_dis_dtc_dcs()

void t30_decode_dis_dtc_dcs | ( | t30_state_t * | s,
|  | const uint8_t * | dis,
|  | int | len )

Decode a DIS, DTC or DCS frame, and log the contents.

Decode a DIS, DTC or DCS frame, and log the contents.

Parameters

  s | The T.30 context.
  dis | A pointer to the frame to be decoded.
  len | The length of the frame.

References t30_state_s::logging, span_log(), span_log_test(), T30_DCS, and t30_frametype().

## ◆ t30_frametype()

const char * t30_frametype | ( | uint8_t | x | ) |

Return a text name for a T.30 frame type.

Return a text name for a T.30 frame type.

Parameters

  x | The frametype octet.

Returns
  A pointer to the text name for the frame type. If the frame type is not value, the string "???" is returned.

References T30_CFR, T30_CIA, T30_CIG, T30_CRP, T30_CSA, T30_CSI, T30_CTC, T30_CTR, T30_DCN, T30_DCS, T30_DEC, T30_DER, T30_DES, T30_DIS, T30_DNK, T30_DTC, T30_DTR, T30_EOM, T30_EOP, T30_EOR, T30_EOS, T30_ERR, T30_FDM, T30_FNV, T30_FTT, T30_IRA, T30_ISP, T30_MCF, T30_MPS, T30_NSC, T30_NSF, T30_NSS, T30_NULL, T30_PID, T30_PIN, T30_PIP, T30_PPR, T30_PPS, T30_PRI_EOM, T30_PRI_EOP, T30_PRI_MPS, T30_PSA, T30_PSS, T30_PWD, T30_RK, T30_RNR, T30_RR, T30_RTN, T30_RTP, T30_SEP, T30_SID, T30_SUB, T30_TK, T30_TNR, T30_TR, T30_TSA, T30_TSI, T4_FCD, and T4_RCP.

Referenced by t30_decode_dis_dtc_dcs().